package com.backendsys.mapper.Ai.Aiivh;

import com.backendsys.entity.Ai.Aiivh.AiPersonTimbreCustomDTO;
import com.backendsys.entity.Ai.Aiivh.AiPersonTimbreDTO;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;
import java.util.Map;

@Mapper
public interface AiivhTimbreMapper {

    // 公共音色
    List<Map<String, Object>> queryAiivhPublicTimbreList(AiPersonTimbreDTO aiPersonTimbreDTO);
    long insertAiivhPublicTimbreBatch(List<Map<String, Object>> list);
    long cleanAiivhPublicTimbre();

    // 定制音色列表
    List<Map<String, Object>> queryAiivhTimbreList(AiPersonTimbreCustomDTO aiPersonTimbreCustomDTO);

}
